<div class="modal-header">
  <button type="button" class="close" data-dismiss="modal" (click)="close()">
    &times;
  </button>
  <h4 class="modal-title" *ngIf="!disabled">
    Popup to {{ labelPopup }} Data Type
  </h4>
</div>
<div class="modal-body clearfix">
  <form class="form-horizontal form-style" [formGroup]="Form" novalidate>
    <input formControlName="id" type="hidden" class="form-control" />
    <div class="form-group">
      <div class="col-md-6">
        <custom-input
          [label]="'Type Code'"
          [validations]="{ required: 'Type Code required' }"
          [disabled]="disabled"
        >
          <input
            inputRef
            class="form-control"
            formControlName="md_type"
            type="text"
            [attr.disabled]="disabled ? '' : null"
          />
        </custom-input>
      </div>
      <div class="col-md-6">
        <custom-input
          [label]="'Type Name'"
          [validations]="{ required: 'Type Name required' }"
          [disabled]="disabled"
        >
          <input
            inputRef
            class="form-control"
            formControlName="mdt_name"
            type="text"
            [attr.disabled]="disabled ? '' : null"
          />
        </custom-input>
      </div>
    </div>

    <div class="form-group">
      <custom-input [label]="'Description'">
        <input
          inputRef
          class="form-control"
          formControlName="mdt_des"
          type="text"
          [attr.disabled]="disabled ? '' : null"
        />
      </custom-input>
    </div>
    <div class="form-group">
      <custom-input [label]="'Data'">
        <textarea
          inputRef
          class="form-control"
          formControlName="mdt_data"
          type="text"
          [attr.disabled]="disabled ? '' : null"
          rows="5"
        ></textarea>
      </custom-input>
    </div>
    <div class="form-group">
      <label>Status</label>

      <ui-switch class="toogle" formControlName="md_sts"></ui-switch>
    </div>
  </form>
</div>
<div class="modal-footer text-right">
  <button type="button" class="btn btn-default" (click)="close()">
    Close
  </button>
  <button
    type="button"
    (click)="save()"
    class="btn btn-primary"
    [disabled]="disabled || Form.invalid"
    *ngIf="!disabled"
  >
    {{ labelPopup }}
  </button>
</div>
